summaryrefslogtreecommitdiff
path: root/bin/custodian-enqueue
diff options
context:
space:
mode:
authorSteve Kemp <steve@steve.org.uk>2012-11-13 23:25:46 +0000
committerSteve Kemp <steve@steve.org.uk>2012-11-13 23:25:46 +0000
commitb73f698dcd3516ab3463265b22204e155a5bc535 (patch)
treee9c40a8b0dfe95bf70b644d51e7beb261549e273 /bin/custodian-enqueue
parentd4bd7026a3e1a40c223b0faa3cf2c3900766fcca (diff)
Be explicit that nil lines are OK.
Diffstat (limited to 'bin/custodian-enqueue')
-rwxr-xr-xbin/custodian-enqueue6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/custodian-enqueue b/bin/custodian-enqueue
index a023792..8c1cb71 100755
--- a/bin/custodian-enqueue
+++ b/bin/custodian-enqueue
@@ -239,17 +239,17 @@ class MonitorConfig
#
def parse_line( line )
- line.chomp!
+ line.chomp! if ( !line.nil? )
#
# A blank line, or a comment may be skipped.
#
- return if ( ( line =~ /^#/ ) || ( line.length < 1 ) )
+ return nil if ( ( line.nil? ) || ( line =~ /^#/ ) || ( line.length < 1 ) )
#
# The specification of mauve-server to which we should raise our alerts to.
#
- return if ( line =~ /Mauve\s+server(.*)source/ )
+ return nil if ( line =~ /Mauve\s+server(.*)source/ )
#